<div class="theme-offer">
   <?php
        // Check if the demo import has been completed
        $classic_barbershop_demo_import_completed = get_option('classic_barbershop_demo_import_completed', false);

        // If the demo import is completed, display the "View Site" button
        if ($classic_barbershop_demo_import_completed) {
            echo '<br>';
            echo '<div class="success">Demo Import Successful</div>';
            echo '<br>';
            echo '<hr>';
            echo '<br>';
            echo '<span>' . esc_html__( 'You can now visit your site or customize it further.', 'classic-barbershop' ) . '</span>';
            echo '<br>';
            echo '<br>';
            echo '<br>';
            echo '<div class="view-site-btn">';
            echo '<a href="' . esc_url(home_url()) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">View Site</a>';
            echo '<a href="' . esc_url( admin_url('customize.php') ) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">Customize Demo Content</a>';
            echo '</div>';
        }
        if ( isset( $_POST['submit'] ) ) {
            echo '<div class="plugin-notice">';
                // Check if Classic Blog Grid plugin is installed
                if (!is_plugin_active('classic-blog-grid/classic-blog-grid.php')) {
                    // Plugin slug and file path for Classic Blog Grid
                    $classic_barbershop_plugin_slug = 'classic-blog-grid';
                    $classic_barbershop_plugin_file = 'classic-blog-grid/classic-blog-grid.php';
                
                    // Check if Classic Blog Grid is installed and activated
                    if ( ! is_plugin_active( $classic_barbershop_plugin_file ) ) {
                
                        // Check if Classic Blog Grid is installed
                        $classic_barbershop_installed_plugins = get_plugins();
                        if ( ! isset( $classic_barbershop_installed_plugins[ $classic_barbershop_plugin_file ] ) ) {
                
                            // Include necessary files to install plugins
                            include_once( ABSPATH . 'wp-admin/includes/plugin-install.php' );
                            include_once( ABSPATH . 'wp-admin/includes/file.php' );
                            include_once( ABSPATH . 'wp-admin/includes/misc.php' );
                            include_once( ABSPATH . 'wp-admin/includes/class-wp-upgrader.php' );
                
                            // Download and install Classic Blog Grid
                            $classic_barbershop_upgrader = new Plugin_Upgrader();
                            $classic_barbershop_upgrader->install( 'https://downloads.wordpress.org/plugin/classic-blog-grid.latest-stable.zip' );
                        }
                
                        // Activate the Classic Blog Grid plugin after installation (if needed)
                        activate_plugin( $classic_barbershop_plugin_file );
                    }
                }
            echo '</div>';

        // ------- Create Main Menu --------
        $classic_barbershop_menuname = 'Primary Menu';
        $classic_barbershop_bpmenulocation = 'primary';
        $classic_barbershop_menu_exists = wp_get_nav_menu_object( $classic_barbershop_menuname );
    
        if ( !$classic_barbershop_menu_exists ) {
            $classic_barbershop_menu_id = wp_create_nav_menu( $classic_barbershop_menuname );

            // Create Home Page
            $classic_barbershop_home_title = 'Home';
            $classic_barbershop_home = array(
                'post_type'    => 'page',
                'post_title'   => $classic_barbershop_home_title,
                'post_content' => '',
                'post_status'  => 'publish',
                'post_author'  => 1,
                'post_slug'    => 'home'
            );
            $classic_barbershop_home_id = wp_insert_post($classic_barbershop_home);
            // Assign Home Page Template
            add_post_meta($classic_barbershop_home_id, '_wp_page_template', 'templates/template-home-page.php');
            // Update options to set Home Page as the front page
            update_option('page_on_front', $classic_barbershop_home_id);
            update_option('show_on_front', 'page');
            // Add Home Page to Menu
            wp_update_nav_menu_item($classic_barbershop_menu_id, 0, array(
                'menu-item-title' => __('Home', 'classic-barbershop'),
                'menu-item-classes' => 'home',
                'menu-item-url' => home_url('/'),
                'menu-item-status' => 'publish',
                'menu-item-object-id' => $classic_barbershop_home_id,
                'menu-item-object' => 'page',
                'menu-item-type' => 'post_type'
            ));

            // Create a new Page 
            $classic_barbershop_pages_title = 'Pages';
            $classic_barbershop_pages_content = '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960 with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>';
            $classic_barbershop_pages = array(
                'post_type'    => 'page',
                'post_title'   => $classic_barbershop_pages_title,
                'post_content' => $classic_barbershop_pages_content,
                'post_status'  => 'publish',
                'post_author'  => 1,
                'post_slug'    => 'pages'
            );
            $classic_barbershop_pages_id = wp_insert_post($classic_barbershop_pages);
            // Add Pages Page to Menu
            wp_update_nav_menu_item($classic_barbershop_menu_id, 0, array(
                'menu-item-title' => __('Pages', 'classic-barbershop'),
                'menu-item-classes' => 'pages',
                'menu-item-url' => home_url('/pages/'),
                'menu-item-status' => 'publish',
                'menu-item-object-id' => $classic_barbershop_pages_id,
                'menu-item-object' => 'page',
                'menu-item-type' => 'post_type'
            ));

            // Create About Us Page with Dummy Content
            $classic_barbershop_about_title = 'About Us';
            $classic_barbershop_about_content = '<p>Lorem Ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry standard dummy text ever since the 1500, when an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting, remaining essentially unchanged. It was popularised in the 1960 with the release of Letraset sheets containing Lorem Ipsum passages, and more recently with desktop publishing software like Aldus PageMaker including versions of Lorem Ipsum.</p>';
            $classic_barbershop_about = array(
                'post_type'    => 'page',
                'post_title'   => $classic_barbershop_about_title,
                'post_content' => $classic_barbershop_about_content,
                'post_status'  => 'publish',
                'post_author'  => 1,
                'post_slug'    => 'about-us'
            );
            $classic_barbershop_about_id = wp_insert_post($classic_barbershop_about);
            // Add About Us Page to Menu
            wp_update_nav_menu_item($classic_barbershop_menu_id, 0, array(
                'menu-item-title' => __('About Us', 'classic-barbershop'),
                'menu-item-classes' => 'about-us',
                'menu-item-url' => home_url('/about-us/'),
                'menu-item-status' => 'publish',
                'menu-item-object-id' => $classic_barbershop_about_id,
                'menu-item-object' => 'page',
                'menu-item-type' => 'post_type'
            ));

            // Assign the menu to the primary location if not already set
            if ( ! has_nav_menu( $classic_barbershop_bpmenulocation ) ) {
                $classic_barbershop_locations = get_theme_mod( 'nav_menu_locations' );
                if ( empty( $classic_barbershop_locations ) ) {
                    $classic_barbershop_locations = array();
                }
                $classic_barbershop_locations[ $classic_barbershop_bpmenulocation ] = $classic_barbershop_menu_id;
                set_theme_mod( 'nav_menu_locations', $classic_barbershop_locations );
            }
        }

        //Logo
        set_theme_mod( 'classic_barbershop_the_custom_logo', esc_url( get_template_directory_uri().'/images/Logo.png'));
       
        //Header Section
        set_theme_mod( 'classic_barbershop_contact_us_text','BOOK NOW');
        set_theme_mod( 'classic_barbershop_contact_us_url','#');
 
        //Slider Section
        set_theme_mod( 'classic_barbershop_slider',true);
        set_theme_mod( 'classic_barbershop_slider_top_text','MORE THAN A HAIRCUT');
        set_theme_mod( 'classic_barbershop_button_text','DISCOVER MORE');
        set_theme_mod( 'classic_barbershop_button_link_slider','#');

        // Create the 'Barbershop' category and retrieve its ID
        $classic_barbershop_slider_category_id = wp_create_category('Barbershop');

        // Set the slider category in theme mods
        set_theme_mod('classic_barbershop_slider_cat', 'Barbershop');
        $classic_barbershop_titles = array(
            'Let your hair do the talking', 
            'Glow with confidence', 
            'Enhance your natural beauty'
        );  
        $classic_barbershop_content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.';
        // Create three posts and assign them to the 'Barbershop' category
        for ($classic_barbershop_i = 0; $classic_barbershop_i < 3; $classic_barbershop_i++) {
            set_theme_mod('classic_barbershop_title' . ($classic_barbershop_i + 1), $classic_barbershop_titles[$classic_barbershop_i]);

            $classic_barbershop_my_post = array(
                'post_title'    => wp_strip_all_tags($classic_barbershop_titles[$classic_barbershop_i]),
                'post_content'  => $classic_barbershop_content,
                'post_status'   => 'publish',
                'post_type'     => 'post',
                'post_category' => array($classic_barbershop_slider_category_id),
            );

            $classic_barbershop_post_id = wp_insert_post($classic_barbershop_my_post);

            if (!is_wp_error($classic_barbershop_post_id)) {
                $classic_barbershop_image_url = get_template_directory_uri() . '/images/slider' . ($classic_barbershop_i + 1) . '.png';
                $classic_barbershop_image_id = media_sideload_image($classic_barbershop_image_url, $classic_barbershop_post_id, null, 'id');
                if (!is_wp_error($classic_barbershop_image_id)) {
                    set_post_thumbnail($classic_barbershop_post_id, $classic_barbershop_image_id);
                } else {
                    error_log('Failed to set post thumbnail for post ID: ' . $classic_barbershop_post_id);
                }
            } else {
                error_log('Failed to create post: ' . print_r($classic_barbershop_post_id, true));
            }
        }

        //About Section
        set_theme_mod( 'classic_barbershop_disabled_pgboxes',true);
        set_theme_mod( 'classic_barbershop_about_title','ABOUT US');
        set_theme_mod( 'classic_barbershop_discount_sale_img1', esc_url( get_template_directory_uri().'/images/about-shop1.png'));
        set_theme_mod( 'classic_barbershop_discount_sale_img2', esc_url( get_template_directory_uri().'/images/about-shop2.png'));
        set_theme_mod( 'classic_barbershop_discount_sale_img3', esc_url( get_template_directory_uri().'/images/about-shop3.png'));
        set_theme_mod( 'classic_barbershop_discount_sale_img4', esc_url( get_template_directory_uri().'/images/about-shop4.png'));

       // Function to fetch or create a page using WP_Query
        function get_or_create_page_by_title( $classic_barbershop_page_title, $classic_barbershop_page_content = '' ) {
            $classic_barbershop_args = array(
                'post_type'      => 'page',
                'title'          => $classic_barbershop_page_title,
                'post_status'    => 'publish',
                'posts_per_page' => 1,
                'fields'         => 'ids'
            );
            $classic_barbershop_query = new WP_Query( $classic_barbershop_args );

            if ( ! empty( $classic_barbershop_query->posts ) ) {
                return $classic_barbershop_query->posts[0];
            } else {
                // Create the page if it doesn't exist
                $classic_barbershop_page_id = wp_insert_post( array(
                    'post_type'    => 'page',
                    'post_title'   => $classic_barbershop_page_title,
                    'post_content' => $classic_barbershop_page_content,
                    'post_status'  => 'publish',
                    'post_author'  => 1
                ));
                return $classic_barbershop_page_id;
            }
        }

        // Create Page
        $classic_barbershop_page_title = 'Discover What Good Hair Is With Us';
        $classic_barbershop_page_content = 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.';
        $classic_barbershop_page_id = get_or_create_page_by_title( $classic_barbershop_page_title, $classic_barbershop_page_content );

        if ( $classic_barbershop_page_id ) {
            set_theme_mod( 'classic_barbershop_about_pageboxes', $classic_barbershop_page_id );
        } else {
            error_log('Failed to create or fetch the "Discover What Good Hair Is With Us" page.');
        }

        // Show success message and the "View Site" button
        update_option('classic_barbershop_demo_import_completed', true);
        echo '<br>';
        echo '<div class="success">Demo Import Successful</div>';
        echo '<br>';
        echo '<hr>';
        echo '<br>';
        echo '<span>' . esc_html__( 'You can now visit your site or customize it further.', 'classic-barbershop' ) . '</span>';
        echo '<br>';
    }
     ?>
    <ul>
        <li>
        <?php 
        // Check if the form is submitted
        if ( !isset( $_POST['submit'] ) ) : ?>
            <!-- Show demo importer form only if it's not submitted -->
            <?php if (!get_option('classic_barbershop_demo_import_completed')) : ?>
                <span><?php echo esc_html( 'Click on the below content to get demo content installed.', 'classic-barbershop' ); ?></span>
                <br><br>
                <hr><br>
                <b class="note"><?php echo esc_html('Note :', 'classic-barbershop' ); ?></b><br><br>
                <small><b><?php echo esc_html('Please take a backup if your website is already live with data. This importer will overwrite existing data.', 'classic-barbershop' ); ?></b></small><br><br>
                <form id="demo-importer-form" action="" method="POST" onsubmit="return runDemoImport();">
                    <input type="submit" name="submit" value="<?php echo esc_attr('Run Importer','classic-barbershop'); ?>" class="button button-primary button-large">
                </form>
                <script type="text/javascript">
                    function runDemoImport() {
                        if (confirm('Do you really want to do this?')) {
                            document.getElementById('demo-import-loader').style.display = 'block';
                            return true;
                        }
                        return false;
                    }
                </script>
             <?php endif; ?>
         <?php 
        endif; 

        // Show "View Site" button after form submission
        if ( isset( $_POST['submit'] ) ) {
        echo '<div class="view-site-btn">';
        echo '<a href="' . esc_url(home_url()) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">View Site</a>';
        echo '<a href="' . esc_url( admin_url('customize.php') ) . '" class="button button-primary button-large" style="margin-top: 10px;" target="_blank">Customize Demo Content</a>';
        echo '</div>';
        }
        ?>
        </li>
    </ul>
 </div>